pyx3 (0.14.1-6) unstable; urgency=medium

  * Add build-dependency on latexmk for Sphinx 1.6 (Closes: #872244).
  * Update Standards-Version to 4.1.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 29 Aug 2017 21:49:26 +1000

pyx3 (0.14.1-5) unstable; urgency=medium

  * Move ghostscript and python3-pil from Build-Depends-Indep to Build-Depends
    for the benefit of the test suite.

 -- Stuart Prescott <stuart@debian.org>  Tue, 23 Aug 2016 00:24:30 +1000

pyx3 (0.14.1-4) unstable; urgency=medium

  * Attempt to make package building reproducible by sorting PDF contents.
  * Use examples as a test suite once more.
  * Enable further hardening options for building extensions.

 -- Stuart Prescott <stuart@debian.org>  Mon, 22 Aug 2016 01:00:21 +1000

pyx3 (0.14.1-3) unstable; urgency=medium

  * Add build-dependency on texlive-generic-extra (Closes: #828980).

 -- Stuart Prescott <stuart@debian.org>  Tue, 12 Jul 2016 01:55:24 +1000

pyx3 (0.14.1-2) unstable; urgency=medium

  * Add patches to make build reproducible, based on work by Alexis Bienvenüe
    (via #825881).
  * Update standards version to 3.9.8 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Fri, 03 Jun 2016 23:59:51 +1000

pyx3 (0.14.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop new-sphinx.patch now applied upstream.

 -- Stuart Prescott <stuart@debian.org>  Tue, 10 Nov 2015 00:21:20 +1100

pyx3 (0.14-3) unstable; urgency=medium

  * Correct dependencies in debian/rules to build correctly on arch:all
    buildd.

 -- Stuart Prescott <stuart@debian.org>  Thu, 22 Oct 2015 23:14:26 +1100

pyx3 (0.14-2) unstable; urgency=medium

  * Cherry-pick patch from upstream to remove monkey-patching of sphinx
    structures when generating the manual (Closes: #802525)

 -- Stuart Prescott <stuart@debian.org>  Wed, 21 Oct 2015 13:36:26 +1100

pyx3 (0.14-1) unstable; urgency=medium

  * New upstream release.
    - revert upstream change to sphinx conf.py to permit building with older
      python3-sphinx.
  * Bump standards version to 3.9.6 (no changes required).
  * Add SVG and PDF to package descriptions.

 -- Stuart Prescott <stuart@debian.org>  Fri, 08 May 2015 00:00:33 +1000

pyx3 (0.13-1) unstable; urgency=medium

  * New upstream version compatible with python 3.
    Previous release maintained as a seprate source package to provide
    compatibility with python 2.

 -- Stuart Prescott <stuart@debian.org>  Wed, 19 Feb 2014 23:08:44 +1100

pyx (0.12.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 19 May 2013 16:50:09 +1000

pyx (0.12.1-1) experimental; urgency=low

  * New upstream release
  * Update maintainer address.
  * Update copyright format URL.
  * Bump standards version to 3.9.4 (no changes required).
  * Drop postinst that was needed for lenny->squeeze upgrades.

 -- Stuart Prescott <stuart@debian.org>  Mon, 17 Dec 2012 13:45:12 +0000

pyx (0.11.1-2) unstable; urgency=low

  * Add texlive-latex-base to Build-Depends to correctly rebuild lfs files if
    only binary packages are being built (LP: #896924).
  * Use the sphinx debhelper module to check over the sphinx documentation.
  * Build-depend on debhelper >= 8.9.5 to stop dh_compress compressing sphinx
    files.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 27 Nov 2011 21:09:42 +0000

pyx (0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Change documentation build system to sphinx in line with new upstream docs.
  * Rebuild lfs files as part of build process.
  * Refresh patchs for new version:
    - drop manual-latex-define.patch no longer needed with sphinx.
    - drop siteconfig-static.patch: not needed with new build system
    - drop pyx-text-warnings26.patch: warnings fixed upstream
  * Add patch sphinx-mathjax.patch to use pngmath in sphinx rather than mathjax
    which is not yet in Debian.
  * Add patch createlfs-no-foiltex.patch to skip generation of foiltex-based
    lfs files that would require non-free components.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch from python-support to dh_python2 as build helper.
  * Update copyright format to newer DEP-5 specification.
  * Add new files to copyright file.
  * Bump standards version to 3.9.2 (no changes required).
  * Set DM-Upload-Allowed: yes

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 20 May 2011 00:13:52 +0100

pyx (0.10-2) unstable; urgency=low

  * Build-depend on new python-old-doctools package that provides tools
    no longer in python 2.6 (closes: #568046).
  * Bump standards version to 3.8.4 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 10 Feb 2010 16:06:53 +0000

pyx (0.10-1) unstable; urgency=low

  * New maintainer (closes: #552750).
  * Revert unneeded versioned build-dependency on python-all-dev.
  * Add a preinst script to clean up after python-central (working around
    bug #479852 in python-central) (closes: #553271).
  * Convert packaging to quilt.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Thu, 29 Oct 2009 23:47:39 +0000

pyx (0.10-0+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:21:33 -0500

pyx (0.10-0+nmu2) unstable; urgency=low

  * Non-maintainer upload
  * Fix build system for compatibility with Python 2.6 (closes: #547872)
    - change debhelper compat level to dh7.
    - remove unneeded sections of debian/rules.
    - remove versioned depends/conflicts/replaces for packages that haven't
      existed since Sarge.
  * Silence DeprecationWarning output from Python 2.6.
  * Move doc package to doc section.
  * Add doc-base entries for documentation.
  * Bump standards version to 3.8.3 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 30 Sep 2009 01:09:13 +0100

pyx (0.10-0+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (closes: #454765)
  * Update build-deps to use texlive rather than tetex
  * Update depends to use texlive rather than tetex (closes: #467207)
  * Recommend a smaller latex package to reduce the installation size.
    texlive-latex-base seems to be the smallest package that allows at least
    the (trivial) examples to be built (closes: #503577)
  * Fix copyright file to include names and years of upstream authors

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 15 May 2009 00:23:04 +0100

pyx (0.9-4) unstable; urgency=low

  * New maintainer (closes: #408140).

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Mon, 29 Jan 2007 21:22:39 -0400

pyx (0.9-3) unstable; urgency=low

  * New maintainer. Thank you for more than three years of
    maintenance,  Graham! Closes: #400087
  * Don't hard-code python 2.3 in manual/Makefile.
    Thanks to Matthias Klose for the bug report and patch.
    Closes: #392634
  * Remove obsolete dh_python call from debian/rules.

 -- Thomas Viehmann <tv@beamnet.de>  Sun, 26 Nov 2006 14:04:53 +0100

pyx (0.9-2) unstable; urgency=low

  * Support the new Python policy. (closes: #373372)

 -- Graham Wilson <graham@debian.org>  Thu, 15 Jun 2006 05:53:37 +0000

pyx (0.9-1) unstable; urgency=low

  * New upstream release.
  * Umm... don't build-depend libkpathsea4-dev.
  * Move examples to -doc package, since their number seems to be
    growing; they also seem more appropriate in that package.
  * Update standards version; no changes.

  * test script changes:
    - test files in the gallery directory as well
    - make the output less verbose

 -- Graham Wilson <graham@debian.org>  Sun, 11 Jun 2006 05:04:08 +0000

pyx (0.8.1-2) unstable; urgency=low

  * Rebuild against libkpathsea4.
  * Output number of tests that were run.
  * Use a variable for the python executable in rules, to make it easier
    to build for a different Python version.

 -- Graham Wilson <graham@debian.org>  Tue, 28 Feb 2006 08:46:25 +0000

pyx (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - don't try to build the examples.pdf file anymore
    - update siteconfig.py to reflect new variable names
 
  * Only install .py and .dat files into the examples directory.
  * Don't build python2.?-pyx packages, just build for the current python.
  * Update the watch file to support uscan's new syntax.
  * Updated standards version (no changes).
  * Don't build depend on gs, since it isn't needed any longer.
  * Don't attempt to support noopt in DEB_BUILD_OPTIONS, since it apparently
    hasn't been working for some time.
  * Update the FSF's address in the copyright file.

  * Suggest python-imaging.

  * Minor changes to the test script:
    - reduce images 4x so they come out the correct size
    - copy .jpg files as well as .dat files
    - count how many tests failed
    - check if SYS_PYX is set, and if so, use the system's copy of PyX

 -- Graham Wilson <graham@debian.org>  Sun, 04 Sep 2005 22:34:53 +0000

pyx (0.7.1-2) unstable; urgency=low

  * Make python-pyx depend on the same version of python2.x-pyx.
    (closes: #287950)
  * Build depend on gs-gpl or gs. (closes: #287548)

 -- Graham Wilson <graham@debian.org>  Thu, 06 Jan 2005 03:35:40 +0000

pyx (0.7.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Strip the shebang-python line from the module so dh_python doesn't
    generate dependencies on the python package. Should also stop some
    linda warnings.
  * In the test script, don't die if one of the programs fails, just move
    on to the next test. Also remove the generated EPS file.
  * Set build depends indep to packages needed for building the
    documentation (tetex-extra and tipa).

 -- Graham Wilson <graham@debian.org>  Sat, 25 Dec 2004 06:42:57 +0000

pyx (0.7-3) unstable; urgency=low

  * Enable texipc by default in pyxrc.

 -- Graham Wilson <graham@debian.org>  Mon, 29 Nov 2004 23:35:22 +0000

pyx (0.7-2) experimental; urgency=low

  * Install pyxrc into the -common package.

 -- Graham Wilson <graham@debian.org>  Sun, 14 Nov 2004 00:38:29 +0000

pyx (0.7-1) experimental; urgency=low

  * New upstream release. (closes: #280861)

  * Build documentaion, since upstream no longer includes it in the
    source.
  * Build depend on tipa.
  * Remove manual/*.png files on clean.
  * Call setup.py build_ext, not build.
  * Install example files into -common, and add symlinks from the versioned
    packages.
  * Ensure siteconfig.py points to the correct locations.
  * Add the missing INDEX files in the examples subdirectories.

  * Add a test script.

 -- Graham Wilson <graham@debian.org>  Sat, 13 Nov 2004 16:57:18 +0000

pyx (0.6.3-3) unstable; urgency=low

  * Correct the URL in the watch file.
  * Build depend on python.

 -- Graham Wilson <graham@debian.org>  Thu, 08 Jul 2004 23:47:56 +0000

pyx (0.6.3-2) unstable; urgency=low

  * Call dh_installdocs with -a (not -A) in binary-arch.
  * Remove build depends indep, since we don't exactly build anything.
  * Build-depend on tetex-bin for kpsewhich. (closes: #248630)
  * Recommend tetex-extra.

 -- Graham Wilson <graham@debian.org>  Wed, 12 May 2004 20:08:36 +0000

pyx (0.6.3-1) unstable; urgency=low

  * The -pyx packages now depend on an explicit version of -common.
  * Add a watch file for uscan.
  * New upstream release. (closes: #241669)
  * Don't build documentation, just install what is distributed.
  * Generate list of example files at build time.

 -- Graham Wilson <graham@debian.org>  Sun, 02 May 2004 01:59:13 +0000

pyx (0.4.1-4) unstable; urgency=low

  * Argh. Only build the manual when building arch-indep packages.
    - tetex-extra and gs are now build-depends-indep.
    - Hopefully all the autobuilders can build PyX now.

 -- Graham Wilson <graham@debian.org>  Wed, 24 Sep 2003 01:54:06 +0000

pyx (0.4.1-3) unstable; urgency=low

  * Build depend on tetex-extra.

 -- Graham Wilson <graham@debian.org>  Tue, 23 Sep 2003 03:57:03 +0000

pyx (0.4.1-2) unstable; urgency=low

  * Set PYTHONPATH correctly when building manual.

 -- Graham Wilson <graham@debian.org>  Mon, 22 Sep 2003 18:17:16 +0000

pyx (0.4.1-1) unstable; urgency=low

  * Set encoding header in a couple of files to ISO-8859-1.
  * New upstream version.
  * Build the manual as PDF. Don't compress it.

 -- Graham Wilson <graham@debian.org>  Wed, 17 Sep 2003 18:35:07 +0000

pyx (0.4-1) unstable; urgency=low

  * Initial Debian release. (closes: #192100)

 -- Graham Wilson <graham@debian.org>  Thu, 11 Sep 2003 04:42:57 +0000

vim:ts=2:sw=2:et:
